import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.neighbors import KNeighborsClassifier
import matplotlib.pyplot as plt


D = np.loadtxt( "iris.csv", delimiter=',', skiprows=1, max_rows=100, usecols=(0,1,4) )
print( D.shape )

X = D[:,0:2]
y = D[:,2]

# Separamos los datos en datos de entrenamiento y datos de prueba
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=4 )

fig, [ax1, ax2] = plt.subplots( nrows=1, ncols=2 )

ax1.scatter( X_entrena[:,0], X_entrena[:,1], c=y_entrena )
ax2.scatter( X_prueba[:,0], X_prueba[:,1], c=y_prueba )
plt.show( )


