import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.neighbors import KNeighborsClassifier


D = np.loadtxt( "iris.csv", delimiter=',', skiprows=1, max_rows=100, usecols=(0,1,4) )
print( D.shape )

X = D[:,0:2]
y = D[:,2]

# Separamos los datos en datos de entrenamiento y datos de prueba
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=4 )

clasificador = KNeighborsClassifier( n_neighbors=5 )
clasificador.fit( X_entrena, y_entrena )

v = clasificador.score( X_prueba, y_prueba )
print( v )

